import { LiveStreamPlayer } from "./LiveStreamPlayer";
import { AbstractUiComponent } from "../AbstractUiComponent";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiLiveStreamComPlayerConfig } from "../../generated/UiLiveStreamComPlayerConfig";
export declare class UiLiveStreamComPlayer extends AbstractUiComponent<UiLiveStreamComPlayerConfig> implements LiveStreamPlayer {
    private playing;
    private $wrapper;
    private player;
    constructor(config: UiLiveStreamComPlayerConfig, context: TeamAppsUiContext);
    play(url: string, streamName?: string): void;
    stop(): void;
    isPlaying(): boolean;
    setVolume(volume: number): void;
    getMainDomElement(): HTMLElement;
    destroy(): void;
}
